The Gutenprint project is pleased to announce the first public release
of Gutenprint 5.0. This release, which has been under development for
over four years, offers improved quality, greatly enhanced
functionality, and support for many more printers than our previous
version, Gimp-Print 4.2.
Currently only the source package is available. We expect to release a
binary installer for Macintosh OS X in the very near future.

The package may be downloaded from

Please see the full release notes at
Abbreviated release notes follow.

Gutenprint will run on any reasonably modern computer running Linux, 
Macintosh OS X (10.2 or above), Solaris, or any other UNIX-like 
operating system. If you plan to compile this package from source, 
you will also need an ANSI C compiler, such as gcc (recommended). A 
compiler is not required if you are installing a pre-compiled package. 
Processor and memory requirements vary depending upon the printer and 
runtime options selected; it is suggested that you have at least 64 MB 
of memory for general purpose printing, 256 MB or more for high 
quality printing on a good printer, and 1 GB or more for large format 
printing at high resolution. You should have at least 50 MB of free 
disk space to compile and install Gutenprint. Disk space requirements 
for printing will vary depending upon how you use Gutenprint, but are 
generally modest except as noted below. We recommend a processor 
speed of at least 300 MHz. Fast printers may require a faster 
processor to achieve maximum printing speed. 
For general use, you should have the Common UNIX Printing System, CUPS 
(version 1.1.15 or above) or Foomatic (2.0 or above) installed. 
Please the rest of the release notes, in particular the Exceptions and 
Workarounds, for full details on installation, as there is important 
information to be aware of. CUPS is the printing system used on 
Macintosh OS X 10.2 and above, and many other systems use it. The 
combination of CUPS and Gutenprint provides a flexible, general 
purpose printing system capable of producing the highest quality 
output with any of the printers supported by this package. We 
strongly recommend using CUPS with Gutenprint as a general-purpose 
printing solution. 
The enhanced Print plug-in for the GIMP requires either the GIMP 2.0 
or above, or 1.2.3 or above on the 1.2 line (1.2.5 is recommended). 
This plug-in will work with any printing system, and offers a 
comprehensive user interface to control all aspects of the printing 
process. If you are printing photographs in large format from the 
GIMP at very high resolution, disk space requirements may be 
substantial, and we recommend at least 2 GB of free disk space for 
that purpose. 
The Ghostscript driver requires GNU Ghostscript 6.53 or higher, ESP 
Ghostscript 7.05 or higher, or AFPL Ghostscript 7.04 or higher. It 
uses the IJS package included with these versions of Ghostscript to 
create a driver that may be built much more easily than traditional 
Ghostscript drivers. This driver should be used in conjunction with 
Foomatic to configure printers. 
Users of Macintosh OS X 10.2 (Jaguar), 10.3 (Panther), and 10.4 
(Tiger) can use this package, as the printing system is based on CUPS. 
For ease of installation, a pre-built package with installer is 
normally supplied a few days after the release of the source package. 
We strongly recommend that OS X users use the pre-built package rather 
than attempt to build it themselves. 
NOTE: This package will not work with any version of OS X 10.0 and 
10.1 (such as 10.1.5). The printing system used with these versions 
of OS X is not compatible with Gutenprint. OS X 10.2 and above use 
CUPS as the basis of the printing system, which is compatible with 
The README file included with this package provides full instructions 
for building and installing Gutenprint. 
1) A serious problem with margins when printing from CUPS in some 
cases was introduced in Gutenprint 5.0.0-rc3. The symptoms are 
that when printing certain kinds of material on certain printers, 
the print is positioned incorrectly on the page (too far to the 
right and too far down the page). This problem has been fixed. 
2) The Ghostscript driver used with Foomatic now prints all pages of 
a document correctly. Previously it did not print any page 
except the first page of a document, or printed all other pages 
with possibly incorrect settings (bug 1501816). 
3) A new user's manual has been added in 
doc/gutenprint-users-manual.odt (ODF format) and 
doc/gutenprint-users-manual.pdf, replacing the old manual that 
was based on Gimp-Print 4.2 (bug 1260142). 
4) The Postscript driver now handles PPD files with non-integer 
imageable areas correctly in all locales (the PPD files certain 
HP inkjet printers using the HPIJS driver have non-integer 
imageable areas for some paper sizes). In 5.0.0-rc3, this was 
handled incorrectly in locales that do not use the decimal point 
(".") for separating fractions from integers. 
5) The PPD file parameter is now always accessible when using the 
Postscript driver in third party Gutenprint-enabled applications. 
This was not an issue with the enhanced Print plugin for the 
6) The Epson driver now chooses unidirectional vs. bidirectional 
mode more intelligently on new printers that are capable of 
producing excellent quality in bidirectional mode at high 
resolutions. This improves printing speed with the default 
settings in certain cases and in some cases improves print 
7) The Epson driver offers the same quality choices as 5.0.0-rc2 for 
certain new printers such as the R800, R1800, and R2400. Certain 
quality choices (in particular Super Photo and Ultra Photo) were 
not available in 5.0.0-rc3. 
8) Various minor problems in the PPD files have been fixed. The 
most notable change is that the names of the option groups have 
been shortened so that they are shorter than 40 characters in all 
cases except for one case in French. 
9) The French, Danish, Hungarian, and Swedish translations have been 
10) In the GIMP 2.4 and above (forthcoming as of Gutenprint 5.0 
release), the enhanced Print plugin will be named "Print with 
Gutenprint" so as not to collide with the GtkPrint-based plugin 
bundled with that version of the GIMP. The Print plugin bundled 
with GIMP 2.0 and 2.2 is based on Gimp-Print 4.2; the Print 
plugin in this package simply replaces the Print plugin in those 
versions of the GIMP (related to bug 1444700). 
11) Crashes in the Ghostscript and IJS drivers on certain non-Linux 
platforms have been fixed (bug 1518126). 
12) A problem with margins with A4 paper on Kyocera printers has 
been fixed (bug 1518131). 
13) A problem with the preview in the GIMP 1.2 plugin (which also 
affects Cinepaint) not being updated properly if orientation 
changes has been fixed. 
14) A problem with Foomatic data generation in certain locales has 
been fixed (bug 1033007). 
15) The Epson Stylus Photo R800 and R1800 now print closer to the 
bottom edge of the page. 
The following bugs open in prereleases have been fixed in Gutenprint 
1033007 Foomatic XML data generation is locale-dependent 
1260142 User documentation needs updating for 5.0.0 
1444700 print menu item on wrong position 
1501816 ijsgutenprint/foomatic only prints first page 
1518126 rastertogutenprint core dumps on Solaris 10 
1518131 Kyocera KM-2530 CUPS+Gutenprint PPD - A4 paper 

Robert Krawitz                                     <[EMAIL PROTECTED]>

Tall Clubs International  -- or 1-888-IM-TALL-2
Member of the League for Programming Freedom -- mail [EMAIL PROTECTED]
Project lead for Gutenprint   --

"Linux doesn't dictate how I work, I dictate how Linux works."
--Eric Crampton
Gimp-developer mailing list

Reply via email to